<?php 

require 'FlexPay.php'; // Import the FlexPay library

// This script generates the purchase URL given the signature key and input parameters

// Generate the FlexPay purchase URL
$result = FlexPay::get_purchase_URL(FlexPay::SIGNATURE_KEY, $_GET);

// Check for errors
if (preg_match("/^ERROR/", $result)) { // On error, display the error message (optional)
    print "$result";
} else {                               // On success, display the generated URL as a link
    print "<a href=\"$result\">$result</a>";
}

?>
